## plaso 20241006

=== requirements.txt ===
PyYAML >= 3.10
XlsxWriter >= 0.9.3
acstore >= 20240407
artifacts >= 20220219
bencode.py
certifi >= 2016.9.26
cffi >= 1.9.1
defusedxml >= 0.5.0
dfdatetime >= 20240330
dfvfs >= 20240115
dfwinreg >= 20240229
dtfabric >= 20230518
flor >= 1.1.3
libbde-python >= 20220121
libcaes-python >= 20240114
libcreg-python >= 20200725
libesedb-python >= 20220806
libevt-python >= 20191104
libevtx-python >= 20220724
libewf-python >= 20131210
libfcrypto-python >= 20240114
libfsapfs-python >= 20220709
libfsext-python >= 20220829
libfsfat-python >= 20220925
libfshfs-python >= 20220831
libfsntfs-python >= 20211229
libfsxfs-python >= 20220829
libfvde-python >= 20220121
libfwnt-python >= 20210717
libfwsi-python >= 20240225
liblnk-python >= 20230716
libluksde-python >= 20220121
libmodi-python >= 20210405
libmsiecf-python >= 20150314
libolecf-python >= 20151223
libphdi-python >= 20220228
libqcow-python >= 20201213
libregf-python >= 20201002
libscca-python >= 20190605
libsigscan-python >= 20230109
libsmdev-python >= 20140529
libsmraw-python >= 20140612
libvhdi-python >= 20201014
libvmdk-python >= 20140421
libvsapm-python >= 20230506
libvsgpt-python >= 20211115
libvshadow-python >= 20160109
libvslvm-python >= 20160109
lz4 >= 0.10.0
opensearch-py
pefile >= 2023.2.7
psutil >= 5.4.3
pyparsing >= 3.0.0
python-dateutil >= 1.5
pytsk3 >= 20210419
pytz
pyzmq >= 2.1.11
redis >= 3.4
requests >= 2.18.0
six >= 1.1.0
xattr >= 0.7.2 ; platform_system != "Windows"
yara-python >= 3.4.0
zstd >= 1.3.0.2

=== debian/changelog ===
plaso (20241006-4) unstable; urgency=medium

  * Team upload.
  * Replace dependency on transitional python3-tz with new python3-pytz
  * Use new dh-sequence-python3

 -- Alexandre Detiste <tchet@debian.org>  Sun, 16 Nov 2025 00:54:28 +0100

plaso (20241006-3) unstable; urgency=medium

  * Eliminate file conflicts by prefixing all binaries with "plaso-"
    (Closes: #1093743, #1093743)

 -- Hilko Bengen <bengen@debian.org>  Fri, 24 Jan 2025 00:49:07 +0100

plaso (20241006-2) unstable; urgency=medium

  * Team upload.
  * Remove uneeded dep python3-six using upstream PR (Closes: #1061283)

 -- Alexandre Detiste <tchet@debian.org>  Sun, 19 Jan 2025 13:11:26 +0100

plaso (20241006-1) unstable; urgency=medium

  [ Axel Beckert ]
  * Update debian/watch to follow updated Github link structure.
  * Import new upstream release 20211024. (Closes: #997833)
    + Refresh sole patch.
    + Update (build-)dependencies following changes in dependencies.ini.

  [ Hilko Bengen ]
  * Fix watch file
  * New upstream version 20241006
  * Update dependencies
  * Update bencode patch

 -- Hilko Bengen <bengen@debian.org>  Fri, 17 Jan 2025 00:22:56 +0100

plaso (20201007-3) unstable; urgency=medium

  * Team upload

  * Remove uneeded and obsolete dep python3-future (Closes: #1059109)
  * Remove uneeded dep python3-six (Closes: #1061283)

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 23 Jan 2024 12:16:08 +0100

=== debian/control ===
Source: plaso
Section: admin
Priority: optional
Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
Uploaders:
 Hilko Bengen <bengen@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 python3,
 python3-acstore,
 python3-artifacts (>= 20211012),
 python3-certifi (>= 2016.9.26),
 python3-cffi-backend (>= 1.9.1),
 python3-chardet (>= 2.0.1),
 python3-cryptography (>= 2.0.2),
 python3-dateutil (>= 1.5),
 python3-defusedxml (>= 0.5.0),
 python3-dfdatetime (>= 20210509),
 python3-dfvfs (>= 20211017),
 python3-dfwinreg (>= 20201002),
 python3-dtfabric (>= 20200621),
 python3-elasticsearch (>= 7.0),
 python3-fsapfs (>= 20201107),
 python3-idna (>= 2.5),
 python3-libbde (>= 20140531),
 python3-libcreg (>= 20200725),
 python3-libesedb (>= 20150409),
 python3-libevt (>= 20191104),
 python3-libevtx (>= 20210424),
 python3-libewf (>= 20131210),
 python3-libfsext (>= 20200819),
 python3-libfshfs (>=20201103),
 python3-libfsntfs (>= 20200805),
 python3-libfsxfs (>= 20201114),
 python3-libfvde (>= 20160719),
 python3-libfwnt (>= 20180117),
 python3-libfwsi (>= 20150606),
 python3-liblnk (>= 20150830),
 python3-libluksde (>= 20200101),
# python3-libmodi (>= 20210405),
 python3-libmsiecf (>= 20150314),
 python3-libolecf (>= 20151223),
 python3-libqcow (>= 20131204),
 python3-libregf (>= 20201002),
 python3-libscca (>= 20190605),
 python3-libsigscan (>= 20190629),
 python3-libsmdev (>= 20140529),
 python3-libsmraw (>= 20140612),
 python3-libvhdi (>= 20131210),
 python3-libvmdk (>= 20140421),
# python3-libvsgpt (>= 20210115),
 python3-libvshadow (>= 20160109),
 python3-libvslvm (>= 20160109),
 python3-lz4 (>= 0.10.0),
 python3-pefile (>= 2021.5.24),
 python3-psutil (>= 5.4.3),
 python3-pyparsing (>= 3.0.0),
 python3-pytz,
 python3-redis (>= 3.4),
 python3-requests (>= 2.18.0),
 python3-setuptools,
 python3-tsk (>= 20160721),
 python3-urllib3 (>= 1.21.1),
 python3-xattr,
 python3-xlsxwriter (>= 0.9.3),
 python3-yaml (>= 3.10),
 python3-yara (>= 3.4.0),
 python3-zmq (>= 2.1.11),
 python3-zstd,
Standards-Version: 4.7.2
Homepage: https://github.com/log2timeline/plaso
Vcs-Git: https://salsa.debian.org/pkg-security-team/plaso.git
Vcs-Browser: https://salsa.debian.org/pkg-security-team/plaso

Package: plaso
Architecture: all
Depends:
 python3-plaso (>= ${source:Version}),
 ${misc:Depends},
Description: super timeline all the things -- metapackage
 This is a metapackage that depends on the Python 3
 package of the Plaso libraries and scripts.

Package: python3-plaso
Architecture: all
Section: python
Depends:
 python3-acstore,
 python3-artifacts (>= 20211012),
 python3-certifi (>= 2016.9.26),
 python3-cffi-backend (>= 1.9.1),
 python3-chardet (>= 2.0.1),
 python3-cryptography (>= 2.0.2),
 python3-dateutil (>= 1.5),
 python3-defusedxml (>= 0.5.0),
 python3-dfdatetime (>= 20210509),
 python3-dfvfs (>= 20211017),
 python3-dfwinreg (>= 20201002),
 python3-dtfabric (>= 20200621),
 python3-elasticsearch (>= 7.0),
 python3-fsapfs (>= 20201107),
 python3-idna (>= 2.5),
 python3-libbde (>= 20140531),
 python3-libcreg (>= 20200725),
 python3-libesedb (>= 20150409),
 python3-libevt (>= 20191104),
 python3-libevtx (>= 20210424),
 python3-libewf (>= 20131210),
 python3-libfsext (>= 20200819),
 python3-libfshfs (>=20201103),
 python3-libfsntfs (>= 20200805),
 python3-libfsxfs (>= 20201114),
 python3-libfvde (>= 20160719),
 python3-libfwnt (>= 20180117),
 python3-libfwsi (>= 20150606),
 python3-liblnk (>= 20150830),
 python3-libluksde (>= 20200101),
# python3-libmodi (>= 20210405),
 python3-libmsiecf (>= 20150314),
 python3-libolecf (>= 20151223),
 python3-libqcow (>= 20131204),
 python3-libregf (>= 20201002),
 python3-libscca (>= 20190605),
 python3-libsigscan (>= 20190629),
 python3-libsmdev (>= 20140529),
 python3-libsmraw (>= 20140612),
# python3-libvsgpt (>= 20210115),
 python3-libvhdi (>= 20131210),
 python3-libvmdk (>= 20140421),
 python3-libvshadow (>= 20160109),
 python3-libvslvm (>= 20160109),
 python3-lz4 (>= 0.10.0),
 python3-pefile (>= 2021.5.24),
 python3-psutil (>= 5.4.3),
 python3-pyparsing (>= 3.0.0),
 python3-pytz,
 python3-redis (>= 3.4),
 python3-requests (>= 2.18.0),
 python3-tsk (>= 20160721),
 python3-urllib3 (>= 1.21.1),
 python3-xattr,
 python3-xlsxwriter (>= 0.9.3),
 python3-yaml (>= 3.10),
 python3-yara (>= 3.4.0),
 python3-zmq (>= 2.1.11),
 python3-zstd,
 ${misc:Depends},
 ${python3:Depends},
Breaks:
 plaso (<< 20190131-2~),
Replaces:
 plaso (<< 20190131-2~),
Description: super timeline all the things -- Python 3
 Plaso (plaso langar að safna öllu) is the Python based back-end
 engine used by tools such as log2timeline for automatic creation of a
 super timelines. The goal of log2timeline (and thus plaso) is to
 provide a single tool that can parse various log files and forensic
 artifacts from computers and related systems, such as network
 equipment to produce a single correlated timeline. This timeline can
 then be easily analysed by forensic investigators/analysts, speeding
 up investigations by correlating the vast amount of information found
 on an average computer system.
 .
 This package contains a Plaso installation for Python 3.

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

# see EXAMPLES in dpkg-buildflags(1) and read /usr/share/dpkg/*
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

%:
	dh $@ --buildsystem=pybuild

override_dh_compress:
	dh_compress -X.rst

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(@ANY_VERSION@@ARCHIVE_EXT@)%@PACKAGE@-$1%,downloadurlmangle=s%archive/refs/tags/(@ANY_VERSION@)@ARCHIVE_EXT@%releases/download/$1/plaso-$1.tar.gz%" \
    https://github.com/log2timeline/plaso/tags \
    (?:.*?/)v?@ANY_VERSION@@ARCHIVE_EXT@
